## lua-event 0.1.1

=== Makefile ===
# Utilities
INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

# Flags
CFLAGS = -O2 -c -Wall -fpic
LDFLAGS = -shared

# Directories
LUA_INC_DIR=/usr/include/lua5.1
LUA_LIB_DIR=/usr/lib

INSTALL_DIR_LUA=/usr/share/lua/5.1
INSTALL_DIR_BIN=/usr/lib/lua/5.1

# Files
LUA_LIB = lua5.1
LIB = core.so

all:
	$(CC) $(CFLAGS) -Iinclude -I$(LUA_INC_DIR) src/*.c
	$(CC) $(LDFLAGS) -o $(LIB) *.o -L$(LUA_LIB_DIR) -l$(LUA_LIB) -levent

install: all
	$(INSTALL_DATA) -D lua/luaevent.lua $(DESTDIR)$(INSTALL_DIR_LUA)/luaevent.lua
	$(INSTALL_PROGRAM) -D $(LIB) $(DESTDIR)$(INSTALL_DIR_BIN)/luaevent/$(LIB)

clean:
	rm *.so
	rm *.o

## lua-event 0.3.1

=== Makefile ===
# Utilities
INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

# Flags
CFLAGS = -Wall -fpic
LDFLAGS = -shared

# Directories
LUA_INC_DIR ?= /usr/include/lua5.1

INSTALL_DIR_LUA ?= /usr/share/lua/5.1
INSTALL_DIR_BIN ?= /usr/lib/lua/5.1

# Files
LIB = core.so

all:
	$(CC) $(CFLAGS) -c -Iinclude -I$(LUA_INC_DIR) src/*.c
	$(CC) $(LDFLAGS) -o $(LIB) *.o -levent

install: all
	mkdir -p $(DESTDIR)$(INSTALL_DIR_LUA)
	$(INSTALL_DATA) lua/luaevent.lua $(DESTDIR)$(INSTALL_DIR_LUA)/luaevent.lua
	mkdir -p $(DESTDIR)$(INSTALL_DIR_BIN)/luaevent/
	$(INSTALL_PROGRAM) $(LIB) $(DESTDIR)$(INSTALL_DIR_BIN)/luaevent/$(LIB)

clean:
	rm -f *.so
	rm -f *.o

=== debian/changelog ===
lua-event (0.3.1-3) unstable; urgency=low

  * Source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 12:19:32 +0200

lua-event (0.3.1-2) unstable; urgency=low

  * Multi-Arch compliant (dh >= 3.1.8, lua5.1-policy >= 32)
  * Bumped Standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:37:37 +0200

lua-event (0.3.1-1) experimental; urgency=low

  * new upstream release, compatible with libevent 2.0
  * updated copyright
  * updated homepage field in control

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 03 Jul 2011 10:01:46 +0200

lua-event (0.1.1-2) unstable; urgency=low

  * build-depend on liblua5.1-policy-dev >= 22~, thanks Bernd (Closes: #589548) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 19 Jul 2010 10:49:02 +0200

lua-event (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #586033)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 15 Jun 2010 22:25:05 +0200

=== debian/control ===
Source: lua-event
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), libevent-dev, liblua5.1-socket2 
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-event
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-event
Homepage: http://repo.or.cz/w/luaevent.git

Package: liblua5.1-event0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, liblua5.1-socket2
Description: asynchronous event notification library for Lua version 5.1
 This package contains the bindings for libevent, a synchronous event
 notification library that provides a mechanish to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout has been
 reached.

Package: liblua5.1-event-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-event0 (= ${binary:Version})
Description: libevent development files for Lua version 5.1
 This package contains the development files of the libevent Lua 
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter). Documentation is also shipped within this
 package.

## lua-event 0.4.1

=== debian/changelog ===
lua-event (0.4.1-2) unstable; urgency=low

  * Fix error handling with libevent2 (thanks Matthew Wild). Added patch
    luaevent-catch-errors-1.patch (Closes: #679925) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Jul 2012 16:36:23 +0200

lua-event (0.4.1-1) unstable; urgency=low

  * New upstream release 
  * Switched to dh-lua
  * Bumped Standards-version to 3.9.3, no changes 
  * Packages renamed according to the new lua policy
  * debian/compat to 8 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 30 May 2012 20:05:26 +0200

=== debian/control ===
Source: lua-event
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, libevent-dev, lua-socket
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-event
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-event
Homepage: https://github.com/harningt/luaevent.git

Package: lua-event
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-socket
Replaces: liblua5.1-event0 (<< 0.4.1-1~)
Breaks: liblua5.1-event0 (<< 0.4.1-1~)
Provides: liblua5.1-event0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: asynchronous event notification library for Lua
 This package contains the bindings for libevent, a synchronous event
 notification library that provides a mechanish to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout has been
 reached.

Package: lua-event-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-event (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-event-dev (<< 0.4.1-1~)
Breaks: liblua5.1-event-dev (<< 0.4.1-1~)
Provides: liblua5.1-event-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libevent development files for the Lua language
 This package contains the development files of the libevent Lua 
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter). Documentation is also shipped within this
 package.

Package: liblua5.1-event0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-event
Description: Transitional package for lua-event
 This is a transitional package to ease upgrades to the lua-event
 package. It can safely be removed.

Package: liblua5.1-event-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-event-dev
Description: Transitional package for lua-event-dev
 This is a transitional package to ease upgrades to the lua-event-dev
 package. It can safely be removed.

## lua-event 0.4.3

=== debian/changelog ===
lua-event (0.4.3-1) unstable; urgency=low

  * New upstream release 
  * Remove transitional packages
  * Packaging moved to git 
  * Remove luaevent-catch-errors-1.patch (applied upstream) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 Aug 2013 15:20:30 +0200

lua-event (0.4.1-3~dbg4matthew1) unstable; urgency=low

  * debian/compat set to 9
  * new package lua-event-dbg 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Jul 2012 16:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua, libevent-dev, lua-socket
+Build-Depends: debhelper (>= 9), dh-lua, libevent-dev, lua-socket
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-event
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-event
 Homepage: https://github.com/harningt/luaevent.git
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-event.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-event.git
 
 Package: lua-event
 Architecture: any
@@ -39,21 +39,13 @@
  a standalone Lua interpreter). Documentation is also shipped within this
  package.
 
-Package: liblua5.1-event0
-Section: oldlibs
+Package: lua-event-dbg
+Architecture: any
 Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-event
-Description: Transitional package for lua-event
- This is a transitional package to ease upgrades to the lua-event
- package. It can safely be removed.
-
-Package: liblua5.1-event-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-event-dev
-Description: Transitional package for lua-event-dev
- This is a transitional package to ease upgrades to the lua-event-dev
- package. It can safely be removed.
-
+Section: debug
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Depends: lua-event (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: asynchronous event notification library for Lua, debug symbols
+ This package contains the debugging symbols for lua-event.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	rm -f luaevent.lua
	dh_auto_clean

override_dh_auto_configure:
	cp lua/luaevent.lua .
	dh_auto_configure

override_dh_strip:
	dh_strip --dbg-package=lua-event-dbg

## lua-event 0.4.4

=== debian/changelog ===
lua-event (0.4.4-1) unstable; urgency=medium

  * update Vcs-* migration to salsa
  * add watch file
  * update URL on copyright
  * add support for lua5.2 and lua5.3 (Closes: #888648)
  * New upstream version 0.4.4
  * wrap-and-sort -sat
  * update compat to 10
  * add myself to uploaders
  * add fixes from upstream pull-request (Closes: #889743)

 -- Victor Seva <vseva@debian.org>  Fri, 19 Oct 2018 17:12:02 +0200

lua-event (0.4.3-2) unstable; urgency=medium

  * Do not explicitly pre-depend on multiarch-support
  * Remove transition packages leftover

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Aug 2015 16:22:36 +0200

## lua-event 0.4.5

=== debian/changelog ===
lua-event (0.4.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Victor Seva <vseva@debian.org>  Wed, 28 Nov 2018 11:25:36 +0100

lua-event (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5
  * remove upstream applied patches

 -- Victor Seva <vseva@debian.org>  Fri, 16 Nov 2018 11:57:27 +0100

## lua-event 0.4.6

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+.PHONY: all install clean dist dist-all dist-bzip2 dist-gzip dist-zip
+
+DIST_DIR=dist
+
 # Utilities
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL)
@@ -20,6 +24,19 @@
 	$(CC) $(CFLAGS) -c -Iinclude -I$(LUA_INC_DIR) src/*.c
 	$(CC) $(LDFLAGS) -o $(LIB) *.o -levent
 
+dist dist-all: distdir dist-bzip2 dist-gzip dist-zip
+
+distdir:
+	mkdir -p $(DIST_DIR)
+
+VERSION=luaevent-$(shell git describe --abbrev=4 HEAD 2>/dev/null)
+dist-bzip2: distdir
+	git archive --format=tar --prefix=$(VERSION)/ HEAD | bzip2 -9v > $(DIST_DIR)/$(VERSION).tar.bz2
+dist-gzip: distdir
+	git archive --format=tar --prefix=$(VERSION)/ HEAD | gzip -9v > $(DIST_DIR)/$(VERSION).tar.gz
+dist-zip: distdir
+	git archive --format=zip --prefix=$(VERSION)/ HEAD > $(DIST_DIR)/$(VERSION).zip
+
 install: all
 	mkdir -p $(DESTDIR)$(INSTALL_DIR_LUA)
 	$(INSTALL_DATA) lua/luaevent.lua $(DESTDIR)$(INSTALL_DIR_LUA)/luaevent.lua

=== debian/changelog ===
lua-event (0.4.6-3) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 16:53:15 +0200

lua-event (0.4.6-2) unstable; urgency=medium

  * Lua team as maintainer, me as uploader (Closes: #995539)
  * add Lua5.4 support

 -- Victor Seva <vseva@debian.org>  Mon, 20 Dec 2021 13:06:29 +0100

lua-event (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6

 -- Victor Seva <vseva@debian.org>  Tue, 08 Jan 2019 13:43:29 +0100

=== debian/control ===
Source: lua-event
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 libevent-dev,
 lua-socket,
Standards-Version: 4.6.0.1
Homepage: https://github.com/harningt/luaevent.git
Vcs-Git: https://salsa.debian.org/lua-team/lua-event.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-event

Package: lua-event
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-socket,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: asynchronous event notification library for Lua
 This package contains the bindings for libevent, a synchronous event
 notification library that provides a mechanish to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout has been
 reached.

Package: lua-event-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-event (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: libevent development files for the Lua language
 This package contains the development files of the libevent Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter). Documentation is also shipped within this
 package.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 override_dh_auto_configure:
 	cp lua/luaevent.lua .
 	dh_auto_configure
-
-override_dh_strip:
-	dh_strip --dbg-package=lua-event-dbg

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/luaevent_$1\.tar\.gz/" \
  https://github.com/harningt/luaevent/tags .*/v?(\d\S*)\.tar\.gz
